Index: uspace/srv/fs/exfat/exfat_directory.c
===================================================================
--- uspace/srv/fs/exfat/exfat_directory.c	(revision 375ab5e571cc53eeb2aa803a8e86052b51d7ad00)
+++ uspace/srv/fs/exfat/exfat_directory.c	(revision ff0c270eaae7fb0bcea1e0d39986792efa5d9d5b)
@@ -72,5 +72,5 @@
 	di->bs = block_bb_get(di->service_id);
 /*	di->blocks = nodep->size / BPS(di->bs); */
-	di->blocks = ROUND_UP(nodep->size, BPS(di->bs))/BPS(di->bs);
+	di->blocks = ROUND_UP(nodep->size, BPS(di->bs)) / BPS(di->bs);
 	return EOK;
 }
@@ -90,5 +90,5 @@
 int exfat_directory_close(exfat_directory_t *di)
 {
-	int rc=EOK;
+	int rc = EOK;
 	
 	if (di->b)
@@ -113,8 +113,10 @@
 	if (!di->b) {
 		if (di->nodep) {
-			rc = exfat_block_get(&di->b, di->bs, di->nodep, i, BLOCK_FLAGS_NONE);
+			rc = exfat_block_get(&di->b, di->bs, di->nodep, i,
+			    BLOCK_FLAGS_NONE);
 		} else {
-			rc = exfat_block_get_by_clst(&di->b, di->bs, di->service_id,
-			    di->fragmented, di->firstc, NULL, i, BLOCK_FLAGS_NONE);
+			rc = exfat_block_get_by_clst(&di->b, di->bs,
+			    di->service_id, di->fragmented, di->firstc, NULL, i,
+			    BLOCK_FLAGS_NONE);
 		}
 		if (rc != EOK) {
@@ -133,5 +135,5 @@
 	di->pos += 1;
 	rc = exfat_directory_block_load(di);
-	if (rc!=EOK)
+	if (rc != EOK)
 		di->pos -= 1;
 	
@@ -141,5 +143,5 @@
 int exfat_directory_prev(exfat_directory_t *di)
 {
-	int rc=EOK;
+	int rc = EOK;
 	
 	if (di->pos > 0) {
@@ -163,5 +165,5 @@
 	di->pos = pos;
 	rc = exfat_directory_block_load(di);
-	if (rc!=EOK)
+	if (rc != EOK)
 		di->pos = _pos;
 	
@@ -182,5 +184,6 @@
 }
 
-int exfat_directory_find(exfat_directory_t *di, exfat_dentry_clsf_t type, exfat_dentry_t **d)
+int exfat_directory_find(exfat_directory_t *di, exfat_dentry_clsf_t type,
+    exfat_dentry_t **d)
 {
 	do {
@@ -195,5 +198,7 @@
 }
 
-int exfat_directory_find_continue(exfat_directory_t *di, exfat_dentry_clsf_t type, exfat_dentry_t **d)
+int
+exfat_directory_find_continue(exfat_directory_t *di, exfat_dentry_clsf_t type,
+    exfat_dentry_t **d)
 {
 	int rc;
@@ -208,5 +213,5 @@
     exfat_file_dentry_t *df, exfat_stream_dentry_t *ds)
 {
-	uint16_t wname[EXFAT_FILENAME_LEN+1];
+	uint16_t wname[EXFAT_FILENAME_LEN + 1];
 	exfat_dentry_t *d = NULL;
 	int rc, i;
@@ -233,5 +238,5 @@
 		return EOVERFLOW;
 
-	for (i=0; i<df->count-1; i++) {
+	for (i = 0; i < df->count - 1; i++) {
 		rc = exfat_directory_next(di);
 		if (rc != EOK)
@@ -269,5 +274,5 @@
 {
 	int rc, i, count;
-	exfat_dentry_t *array=NULL, *de;
+	exfat_dentry_t *array = NULL, *de;
 	aoff64_t pos = di->pos;
 
@@ -275,9 +280,9 @@
 	if (rc != EOK)
 		return rc;
-	count = de->file.count+1;
+	count = de->file.count + 1;
 	array = (exfat_dentry_t *) malloc(count*sizeof(exfat_dentry_t));
 	if (!array)
 		return ENOMEM;
-	for (i=0; i<count; i++) {
+	for (i = 0; i < count; i++) {
 		rc = exfat_directory_get(di, &de);
 		if (rc != EOK)
@@ -291,5 +296,5 @@
 	}
 	rc = exfat_directory_seek(di, pos);
-	if (rc!=EOK) {
+	if (rc != EOK) {
 		free(array);
 		return rc;
@@ -303,8 +308,8 @@
 	array[1].stream.data_size = host2uint64_t_le(ds->data_size);
 	array[0].file.checksum = host2uint16_t_le(exfat_directory_set_checksum((uint8_t *)array,
-	    count*sizeof(exfat_dentry_t)));
+	    count * sizeof(exfat_dentry_t)));
 
 	/* Store */
-	for (i=0; i<count; i++) {
+	for (i = 0; i < count; i++) {
 		rc = exfat_directory_get(di, &de);
 		if (rc != EOK)
@@ -313,5 +318,5 @@
 		di->b->dirty = true;
 		rc = exfat_directory_next(di);
-		if (rc!=EOK) {
+		if (rc != EOK) {
 			free(array);
 			return rc;
@@ -329,5 +334,5 @@
 	uint16_t *uctable;
 	exfat_dentry_t df, ds, *de;
-	uint16_t wname[EXFAT_FILENAME_LEN+1];
+	uint16_t wname[EXFAT_FILENAME_LEN + 1];
 	int rc, i;
 	size_t uctable_chars, j;
@@ -399,14 +404,14 @@
 	uint16_t *sname = wname;
 
-	for (i=0; i<ds.stream.name_size; i++)
+	for (i = 0; i < ds.stream.name_size; i++)
 		wname[i] = host2uint16_t_le(wname[i]);
 
-	for (i=0; i < df.file.count-1; i++) {
+	for (i = 0; i < df.file.count - 1; i++) {
 		rc = exfat_directory_next(di);
 		if (rc != EOK)
 			return rc;
 
-		if (i == df.file.count-2)
-			chars = ds.stream.name_size - EXFAT_NAME_PART_LEN*(df.file.count-2);
+		if (i == df.file.count - 2)
+			chars = ds.stream.name_size - EXFAT_NAME_PART_LEN*(df.file.count - 2);
 		rc = exfat_directory_get(di, &de);
 		if (rc != EOK)
@@ -414,5 +419,5 @@
 		de->type = EXFAT_TYPE_NAME;
 		/* test */
-		for (j=0; j<chars; j++){
+		for (j = 0; j < chars; j++) {
 			de->name.name[j] = *sname;
 			sname++;
@@ -434,5 +439,5 @@
 	if (rc != EOK)
 		return rc;
-	count = de->file.count+1;
+	count = de->file.count + 1;
 	
 	while (count) {
@@ -440,9 +445,9 @@
 		if (rc != EOK)
 			return rc;
-		de->type &= (~EXFAT_TYPE_USED);
+		de->type &= ~EXFAT_TYPE_USED;
 		di->b->dirty = true;
 
 		rc = exfat_directory_next(di);
-		if (rc!=EOK)
+		if (rc != EOK)
 			return rc;
 		count--;
@@ -489,5 +494,6 @@
 				case EXFAT_DENTRY_LAST:
 				case EXFAT_DENTRY_FREE:
-					if (found==0) pos = di->pos;
+					if (found == 0)
+						pos = di->pos;
 					found++;
 					if (found == count) {
